summaryrefslogtreecommitdiffstats
path: root/source/l/boost
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-07-26 18:59:24 +0000
committer Eric Hameleers <alien@slackware.com>2020-07-27 08:59:54 +0200
commit00065bfd95ed21da55cc1dd7bf0ac4b2c03c4f24 (patch)
treee8c58b551e0bab589feecee39ca18cac30041ecc /source/l/boost
parent3d9100e4bdd452f4c63a4b614f194293f3fbc0cb (diff)
downloadcurrent-00065bfd95ed21da55cc1dd7bf0ac4b2c03c4f24.tar.gz
current-00065bfd95ed21da55cc1dd7bf0ac4b2c03c4f24.tar.xz
Sun Jul 26 18:59:24 UTC 202020200726185924
l/boost-1.73.0-x86_64-3.txz: Rebuilt. Revert a change that broke building krita. Thanks to oneforall2. l/libcap-2.41-x86_64-1.txz: Upgraded. n/libqmi-1.26.2-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/boost')
-rw-r--r--source/l/boost/boost-1.73-geometry-issue721.patch23
-rwxr-xr-xsource/l/boost/boost.SlackBuild5
2 files changed, 27 insertions, 1 deletions
diff --git a/source/l/boost/boost-1.73-geometry-issue721.patch b/source/l/boost/boost-1.73-geometry-issue721.patch
new file mode 100644
index 000000000..0e843b9ca
--- /dev/null
+++ b/source/l/boost/boost-1.73-geometry-issue721.patch
@@ -0,0 +1,23 @@
+From aafbceccc76dccb75963dd4f596fd1f10ee34b03 Mon Sep 17 00:00:00 2001
+From: Jonathan Wakely <boost@kayari.org>
+Date: Fri, 5 Jun 2020 19:29:27 +0100
+Subject: [PATCH] Make index::detail::rtree::visitors::insert base class public
+
+Fixes #721
+---
+ include/boost/geometry/index/detail/rtree/visitors/insert.hpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/include/boost/geometry/index/detail/rtree/visitors/insert.hpp b/include/boost/geometry/index/detail/rtree/visitors/insert.hpp
+index 2d324cb7f4..5709a930cc 100644
+--- a/boost/geometry/index/detail/rtree/visitors/insert.hpp
++++ b/boost/geometry/index/detail/rtree/visitors/insert.hpp
+@@ -265,7 +265,7 @@ struct insert_traverse_data
+ // Default insert visitor
+ template <typename Element, typename MembersHolder>
+ class insert
+- : MembersHolder::visitor
++ : public MembersHolder::visitor
+ {
+ protected:
+ typedef typename MembersHolder::box_type box_type;
diff --git a/source/l/boost/boost.SlackBuild b/source/l/boost/boost.SlackBuild
index 80d32a63e..b69988377 100755
--- a/source/l/boost/boost.SlackBuild
+++ b/source/l/boost/boost.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=boost
VERSION=${VERSION:-$(echo $PKGNAM_*.tar.?z | rev | cut -f 3- -d . | rev | cut -f 2- -d _)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
PKG_VERSION=$(echo $VERSION | tr _ .) # Leave this alone
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -85,6 +85,9 @@ rm -rf boost_$VERSION
tar xvf $CWD/boost_$VERSION.tar.?z || exit 1
cd boost_$VERSION || exit 1
+# Revert a change that broke building krita:
+zcat $CWD/boost-1.73-geometry-issue721.patch.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \